package CMS;

/**
 * Write a description of class Committee here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */

import java.util.Scanner;
import java.util.ArrayList;
import Entities.*;

public class Committee
{
    private String name;
    private ArrayList<IPerson> people;

    public Committee(String name)
    {
        this.name = name;
        people = new ArrayList<IPerson>();
    }

    public void load()
    {
        Scanner in = new Scanner(System.in);

        System.out.println("Committe: " + name);

        boolean more = true;

        while(more)
        {
            System.out.println();
            System.out.println("Which would you like to enter?");
            System.out.println("  Undergrad (u)");
            System.out.println("  Grad (g)");
            System.out.println("  Student (s)");
            System.out.println("  Professor (r)");
            System.out.println("  Person (e)");
            System.out.println("  None (n)");
            String selection = in.nextLine();

            if (!selection.equals("n"))
            {
                System.out.println("Name?");
                String name = in.nextLine();

                System.out.println("ID?");
                int id = in.nextInt();
                in.nextLine();
                
                if(selection.equals("e"))
                {
                    people.add(new Person(name, id));
                }
                else if (selection.equals("r"))
                {
                    System.out.println("Office Number?");
                    int office = in.nextInt();
                    in.nextLine();

                    people.add(new Professor(name, id, office));
                }
                else
                {
                    System.out.println("Major?");
                    String major = in.nextLine();
                    System.out.println("Year?");
                    int year = in.nextInt();
                    in.nextLine();

                    if (selection.equals("u"))
                    {
                        System.out.println("Dorm?");
                        String dorm = in.nextLine();

                        people.add(new Undergrad(name, id, major, year, dorm));
                    }
                    else if (selection.equals("g"))
                    {
                        System.out.println("Thesis?");
                        String thesis = in.nextLine();

                        people.add(new Grad(name, id, major, year, thesis));
                    }
                    else
                    {
                        people.add(new Student(name, id, major, year));
                    }
                }
            }
            else
            {
                more = false;
            }
        }
    }

    public void print()
    {
        System.out.println();
        System.out.println("This is the membership of the \"" + name + "\" committee:");
        for (int p = 0; p < people.size(); p++)
        {
            people.get(p).printInfo();
        }
    }
}
